chatty (0.8.0-1pureos4) crimson; urgency=medium

  * d/patches: Backport a few notification improvements
  * d/patches: Backport message bubble's context menu
  * d/patches: Fix open action
  * d/patches: Fix focus checks
  * d/patches: Backport MMS error and attachment handling fixes

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 26 Mar 2026 02:59:06 +0100

chatty (0.8.0-1pureos3) crimson; urgency=medium

  * d/patches: Backport avatar fixes from 0.8.5

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 17 Jan 2026 10:25:56 +0100

chatty (0.8.0-1pureos2) crimson; urgency=medium

  * d/patches: Backport the switch to DBus activation
  * d/patches: Switch to a systemd user unit for the daemon

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 11 Dec 2025 03:37:09 +0100

chatty (0.8.0-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 22 Oct 2025 17:14:00 +0200

chatty (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0
  * d/watch: Point to new location of Chatty
  * d/control: update libgtk-4-dev dependency
  * d/README.source: Update to include subproject
  * d/copyright: Clean up copyrights to make lintian happy
  * d/control: add libxml2-utils as build dependency
  * d/patches: Clean up patches
  * d/control: Update standards to 4.6.2

 -- Christopher Talbot <chris@talbothome.com>  Tue, 19 Dec 2023 10:09:19 -0700

chatty (0.8.0~rc0-1pureos1) crimson; urgency=medium

  * Merge in latest Debian release from experimental,
    Remaining PureOS changes:
    - Disabled message row test as it fails
      (for currently unknown reasons)
      on the build server

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 17 Oct 2023 17:02:11 +0200

chatty (0.8.0~rc0-1~exp) experimental; urgency=medium

  * New upstream release
    This releases now uses GTK4 and libadwaita
    and there might be the odd bug is to be expected
  * d/copyright: Update to include libcmatrix and other new files
  * d/control: Update build deps for GTK4
  * d/control: Update description
  * Revert "d/rules: Use gsettings memory backend"
  * d/rules: Update help2man title description
  * d/rules: Allow GTK4 based tests to pass
  * d/patches: Fix build issues on i386
  * d/patches: Add logging to help diagnose reprotest CI failure

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 15 Oct 2023 20:34:09 +0200

chatty (0.7.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 13 Jul 2023 11:44:18 +0200

chatty (0.7.3-1pureos2) crimson; urgency=medium

  * d/gbp.conf: Adjust debian-branch to pureos/latest
  * d/patches: Drop patch lowering required glib version
  * ci: Use landing
  * d/lintian: Adjust lintian override for crimson

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Wed, 21 Jun 2023 12:27:48 +0200

chatty (0.7.3-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sun, 14 May 2023 16:15:50 +0200

chatty (0.7.3-1) experimental; urgency=medium

  * New upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 14 May 2023 11:50:31 +0200

chatty (0.7.2-1pureos1) byzantium; urgency=medium

  * Refresh patches
  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Wed, 12 Apr 2023 13:55:30 +0200

chatty (0.7.2-1) experimental; urgency=medium

  * New upstream release 0.7.2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 17 Mar 2023 19:04:34 +0100

chatty (0.7.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 24 Feb 2023 18:44:27 +0100

chatty (0.7.0-1) unstable; urgency=medium

  * New upstream release 0.7.0
    Includes fixes for
    - Not showing notifications for unread messages in matrix
    - Double messages in matrix

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 20 Feb 2023 20:03:31 +0100

chatty (0.7.0~rc5-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 13 Jan 2023 18:22:15 +0100

chatty (0.7.0~rc5-1) unstable; urgency=medium

  * New upstream release candidate 0.7.0~rc5

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 13 Jan 2023 10:49:42 +0100

chatty (0.7.0~rc4-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/watch: Mangle upstream version

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 06 Dec 2022 14:54:27 +0100

chatty (0.7.0~rc3-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 11 Nov 2022 14:44:50 +0100

chatty (0.7.0~rc3-1) unstable; urgency=medium

  * d/gbp.conf: Add upstream-vcs-tag

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 11 Nov 2022 13:52:08 +0100

chatty (0.7.0~rc2-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 08 Nov 2022 13:10:46 +0100

chatty (0.7.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate 0.7.0~rc2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 07 Nov 2022 23:02:57 +0100

chatty (0.7.0~rc1-1pureos1) byzantium; urgency=medium

  * Refresh patches

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 28 Oct 2022 12:54:20 +0200

chatty (0.7.0~rc1-1) unstable; urgency=medium

  * New upstream version 0.7.0~rc1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 28 Oct 2022 10:20:52 +0200

chatty (0.7.0~rc0-1) unstable; urgency=medium

  * New upstream version 0.7.0~rc0
    Closes: #1018134, thanks Jeremy Bicha!
    Closes: #1020063, thanks Lucas Nussbaum!
  * Remove upstreamed patches

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 18 Oct 2022 17:17:25 +0200

chatty (0.6.7-2) unstable; urgency=medium

  * Mark as team upload
  * utils: update for GNOME Desktop 43 thumbnail API changes.
    Thanks to Jeremy Bicha for the patch. (Closes: #1016171)
  * d/rules: Use gsettings memory backend
    This avoids test failures when dconf backend can't be written.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Aug 2022 10:28:06 +0200

chatty (0.6.7-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sun, 26 Jun 2022 13:44:50 +0200

chatty (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 26 Jun 2022 13:21:08 +0200

chatty (0.6.6-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sat, 18 Jun 2022 13:10:43 +0200

chatty (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 18 Jun 2022 11:37:07 +0200

chatty (0.6.4-1pureos1) byzantium; urgency=medium

  * Revert "Update for multiarch libpurple0 2.14.9-1"

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 26 May 2022 11:38:57 +0200

chatty (0.6.4-1) unstable; urgency=medium

  [ Richard Laager ]
  * Update for multiarch libpurple0 2.14.9-1 (Closes: 1011166)
    Thanks to Paul Gevers

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.6.4
  * Declare compliance with Debian Policy 4.6.1
  * Remove unneeded dh_shlibdeps override

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 19 May 2022 23:58:49 +0200

chatty (0.6.3-1pureos1) byzantium; urgency=medium

  * Remove upstreamed patch

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 31 Mar 2022 11:23:27 +0200

chatty (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Patch out clock test which fails on some architectures

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 29 Mar 2022 16:37:54 +0200

chatty (0.6.2-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Mon, 07 Mar 2022 10:44:43 +0100

chatty (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * d/gbp.conf: Sign tags by default

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 07 Mar 2022 10:09:00 +0100

chatty (0.6.1-1pureos2) byzantium; urgency=high

  * Add patch increasing test timeout

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Mon, 07 Mar 2022 09:41:54 +0100

chatty (0.6.1-1pureos1) byzantium; urgency=high

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 08 Feb 2022 19:14:50 +0100

chatty (0.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields: Repository.

  [ Evangelos Ribeiro Tzaras ]
  * d/gbp.conf: Sign tags when importing new tarball
  * New upstream version 0.6.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 08 Feb 2022 18:25:51 +0100

chatty (0.6.0-1pureos2) byzantium; urgency=medium

  * d/patches: Refresh and disable message-text-item test again

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 28 Jan 2022 06:15:47 +0100

chatty (0.6.0-1pureos1) byzantium; urgency=medium

  * d/patches: Reenable message-text-item test
  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 27 Jan 2022 19:35:03 +0100

chatty (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0 (Closes: #1002241)
  * d/control: Add itstool and dbus-x11 as build dependency
  * d/rules: Set NO_AT_BRIDGE=1 for tests

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 26 Jan 2022 17:51:14 +0100

chatty (0.5.0~beta3-1pureos1) byzantium; urgency=high

  * d/patches: Refresh patches
  * d/patches: Disable message-text-item test
  * Upload to byzantium with high urgency because it fixes
  https://source.puri.sm/Librem5/debs/pkg-chatty/-/issues/3

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sat, 11 Dec 2021 16:16:01 +0100

chatty (0.5.0~beta3-1) experimental; urgency=medium

  * d/control: Drop purple-mm-sms from recommends
  * d/rules: Force locale for tests to fix reprotest failure
  * New upstream version 0.5.0~beta3
  * d/control: Recommend mmsd-tng
  * d/patches: Remove patches applied by upstream

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 10 Dec 2021 17:08:06 +0100

chatty (0.5.0~beta-1pureos1) byzantium; urgency=medium

  * d/patches: Use notification category hints
  * Revert "lintian: Fix custom-library-search-path override"

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sat, 20 Nov 2021 12:26:41 +0100

chatty (0.5.0~beta-1) experimental; urgency=medium

  * New upstream version 0.5.0~beta
  * d/control: Add libgnome-desktop-3-dev build dependency
  * lintian: Fix custom-library-search-path override
  * d/patches: Use platform independent size types

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 19 Nov 2021 17:13:01 +0100

chatty (0.4.0-1pureos1) byzantium; urgency=medium

  * Remove included patches
  * Upload to byzantium 

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 13 Sep 2021 16:23:12 +0200

chatty (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * d/control: Bump standards version (no changes needed)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 13 Sep 2021 09:36:31 +0200

chatty (0.4.0~beta2-1pureos3) byzantium; urgency=high

  * Unbreak SMS sending.
    Backport upstream MR
    https://source.puri.sm/Librem5/chatty/-/merge_requests/826

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Sep 2021 12:47:56 +0200

chatty (0.4.0~beta2-1pureos2) byzantium; urgency=high

  * d/patches: Add patch to fix finding the right chat

 -- Mohammed Sadiq <sadiq@sadiqpk.org>  Tue, 07 Sep 2021 08:28:34 +0530

chatty (0.4.0~beta2-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Thu, 02 Sep 2021 09:27:30 +0200

chatty (0.4.0~beta2-1) experimental; urgency=medium

  * New upstream version 0.4.0~beta2
  * d/control: Add libgspell-1-dev build dependency

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 31 Aug 2021 23:30:07 +0200

chatty (0.3.4-2) unstable; urgency=medium

  * ci: No need to use experimental anymore
  * Upload to unstable

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 26 Aug 2021 17:47:00 +0200

chatty (0.3.4-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 10 Aug 2021 15:37:12 +0200

chatty (0.3.4-1) experimental; urgency=medium

  * New upstream version 0.3.4

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 10 Aug 2021 14:39:19 +0200

chatty (0.3.3-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sat, 17 Jul 2021 20:26:16 +0200

chatty (0.3.3-1) experimental; urgency=medium

  * New upstream version 0.3.3
  * d/patches: Remove empty series file
  * d/control: Bump standard-versions to 4.5.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 17 Jul 2021 16:59:13 +0200

chatty (0.3.2-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 29 Jun 2021 23:53:08 +0200

chatty (0.3.2-1) experimental; urgency=medium

  * New upstream version 0.3.2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 29 Jun 2021 18:57:19 +0200

chatty (0.3.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Sun, 30 May 2021 00:45:35 +0200

chatty (0.3.1-1) experimental; urgency=medium

  * New upstream version 0.3.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 29 May 2021 21:02:08 +0200

chatty (0.3.0-1pureos1) byzantium; urgency=medium

  * d/librem5-ci.yml: Add CI pipeline definitions
  * d/gbp.conf: Adjust for byzantium
  * d/control: Change maintainer and git fields

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Tue, 11 May 2021 00:07:45 +0200

chatty (0.3.0-1) experimental; urgency=medium

  * d/gbp.conf: Use pristine tar by default
  * New upstream version 0.3.0

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 09 May 2021 21:20:19 +0200

chatty (0.3.0~beta2-1) experimental; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * d/changelog: remove duplicate line

  [ Evangelos Ribeiro Tzaras ]
  * d/control: Bump required libhandy dependency
  * Update to 0.3.0~beta1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 14 Apr 2021 22:55:30 +0200

chatty (0.3.0~beta-1) experimental; urgency=medium

  * d/control: Update dependencies for latest version
  * d/rules: Use xvfb-run for the test suite
  * Upload to experimental

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 26 Mar 2021 10:01:39 +0100

chatty (0.2.0-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to version 0.2.0
  [ Henry-Nicolas Tourneur ]
  * Fix incorrect recommend package name (Closes: #973832)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 27 Nov 2020 11:04:40 +0100

chatty (0.1.17-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to version 0.1.17

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 03 Nov 2020 17:03:04 +0100

chatty (0.1.16-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to latest 0.1.16 release
  * Remove upstreamed patches (fix missing main category in desktop file)

  [ Henry-Nicolas Tourneur ]
  * Source only upload to unstable
  * d/copyright,watch: stop excluding protocol pictures, those are removed
    upstream.

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 29 Oct 2020 18:06:46 +0100

chatty (0.1.14+dfsg0-1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras]
  * Initial Debian release (Closes: #960486)

  [ Henry-Nicolas Tourneur ]
  * Removed unused icons with unclear copyright from tarball

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 14 Jul 2020 21:36:05 +0200
